Subject: RE: [Diffserv] I-D ACTION:draft-seddigh-pdb-ar-00.txt

From: Bill Courtney <[email-masked]>
Date: Mon, 8 Jan 2001 11:48:04 -0800

Nabil,

I think it would be more clear and consistent with RFC 2597 if you
use your second alternative:

"the 2nd MUST can remain, the 4 can be changed to N and an extra line 
added to explain that N is the number of AF classes supported by the 
routers in the domain."

The first alternative would make the text read rather strangely. The 
packets MUST be marked, but the mark only SHOULD come from the values 1
through 4, leaving the reader wondering whether he is free to use classes
numbered higher than 4 or whether there is some reason why he shouldn't.

Bill

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, January 08, 2001 11:22 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Diffserv] I-D ACTION:draft-seddigh-pdb-ar-00.txt
> 
> 
> 
> >
> >Why do you need the 2nd MUST here:
> >
> >>   The green, yellow and red packets MUST be marked with  the  
> >>   DSCP for AFx1,  AFx2 and AFx3 PHBs respectively, 
> >>   where x MUST be any one value from 1 to 4.
> >
> >The limit of 4 AF classes is only a recommendation in RFC 2597-
> >actually it speaks of N classes. It would be consistent with 
> >2597 if you changed the 2nd MUST into a SHOULD. 
> >
> > Brian
> 
> Agreed. Some rework is required. 
> 
> One solution is to change the 2nd MUST into a SHOULD. 
> Alternatively, the
> 2nd MUST can remain, the 4 can be changed to N and an extra line added
> to explain that N is the number of AF classes supported by the routers
> in the domain.
> 
> Which of the 2 approaches is preferable?
> 
> Nabil
> 
> 
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: 
> http://www2.ietf.org/mail-archive/working-groups/diffserv/curr
ent/maillist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html